LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 03-31-2004, 03:15 AM   #1
handle2001
LQ Newbie
 
Registered: Mar 2004
Location: North Carolina
Distribution: SuSE 9.0
Posts: 4

Rep: Reputation: 0
GTK (Get That Killah) 2.4 Build Probs


What: GTK-2.4 Libraries...
Where: A SuSE 9.0 machine...
When: 02:30 EST...

Ok, I downloaded all the source packages and I was able to compile almost all of them to prefix /opt/gtk-2.4. Atk, glib, and pango all compile and install fine. But when I go to ./configure the gtk+-2.4 package, it tells me it needs pango and xft installed. However I can assure you that there are 3 different installs of pango on my system and all of them meet the version requirements. The last few relevant lines of config.log look like this:

configure:26361: checking for freetype-config
configure:26379: found /usr/bin/freetype-config
configure:26392: result: /usr/bin/freetype-config
configure:26428: gcc -o conftest -g -O2 -Wall -I/opt/gtk-2.4/include -L/opt/gtk-2.4/lib conftest.c -lfreetype >&5
configure:26434: $? = 0
configure:26438: test -z
|| test ! -s conftest.err
configure:26441: $? = 0
configure:26444: test -s conftest
configure:26447: $? = 0
configure:26464: checking For sufficiently new FreeType (at least 2.0.1)
configure:26486: gcc -c -g -O2 -Wall -I/opt/gtk-2.4/include -I/usr/include/freetype2 conftest.c >&5
configure:26492: $? = 0
configure:26496: test -z
|| test ! -s conftest.err
configure:26499: $? = 0
configure:26502: test -s conftest.o
configure:26505: $? = 0
configure:26516: result: yes
configure:26543: error: Pango 1.2.0 and Xft backend is required for x11 target


I went through the config.log for pango to make sure I hadn't missed anything and that nothing had been left out, but it looked fine and I could clearly see where it had done everything correctly. I'm not quite sure where to go from here; any help would be appreciated and I will be more than happy to provide more information if I have missed something relevant here.
 
Old 03-31-2004, 05:33 AM   #2
Komakino
Senior Member
 
Registered: Feb 2004
Location: Somerset, England
Distribution: Slackware 10.2, Slackware 10.0, Ubuntu 9.10
Posts: 1,938

Rep: Reputation: 55
Did you install pango, atk etc to /opt ? If so then that location is probably not in your ld config path and/or your pkg-config path.

At exactly which location are the .so files installed? And is there a pkgconfig directory under that location?
 
Old 03-31-2004, 07:19 AM   #3
GregLee
Member
 
Registered: Feb 2004
Location: Waimanalo, HI
Distribution: Slackware 10, Fedora 6
Posts: 308

Rep: Reputation: 30
Re: GTK (Get That Killah) 2.4 Build Probs

Quote:
Originally posted by handle2001

configure:26543: error: Pango 1.2.0 and Xft backend is required for x11 target
I looked in the "configure" script for gtk+ and found that this error message results when "pkf-config --exists 'pangoxft >= 1.2.0' " fails. So try "pkg-config --modversion pangoxft" from the command line. If you just installed pango, that should return "1.4.0". Probably for you, it won't, so try to figure out why. Pkg-config looks in the file "pangoxft.pc" -- make sure that file exists and has in it the line "Version: 1.4.0". Maybe you installed pango but not pangoxft. Maybe you need a new version of pkg-config. I hope you track it down.
 
Old 03-31-2004, 03:39 PM   #4
handle2001
LQ Newbie
 
Registered: Mar 2004
Location: North Carolina
Distribution: SuSE 9.0
Posts: 4

Original Poster
Rep: Reputation: 0
pkg-config --modversion pangoxft returns 1.4.0
pkg-config itself is the newest version
ldconfig has been run..and before i did anything i ran

CPPFLAGS="-I/opt/gtk-2.4"
LDFLAGS="-L/opt/gtk-2.4/lib"
PKG_CONFIG_PATH="/opt/gtk-2.4/lib/pkgconfig"
export CPPFLAGS LDFLAGS PKG_CONFIG_PATH

LD_LIBRARY_PATH="/opt/gtk-2.4/lib"
PATH="/opt/gtk-2.4/bin:$PATH"
export LD_LIBRARY_PATH PATH


pangoxft.pc says

...
Version=1.4.0
...

 
Old 03-31-2004, 03:55 PM   #5
GregLee
Member
 
Registered: Feb 2004
Location: Waimanalo, HI
Distribution: Slackware 10, Fedora 6
Posts: 308

Rep: Reputation: 30
You seem to have covered all the bases. Well, when truly desperate, I sometimes edit the configure script so as to disable the test. Then maybe it works, or maybe the nature of the problem will become clearer later.
 
Old 04-01-2004, 12:08 AM   #6
handle2001
LQ Newbie
 
Registered: Mar 2004
Location: North Carolina
Distribution: SuSE 9.0
Posts: 4

Original Poster
Rep: Reputation: 0
Ok for anyone else who has this problem, here's how to fix it. I'm going to use my own directories for this example, but you can substitute your own --prefix and it should work.

I went into the configure file and commented out the following lines


# We start off with the libraries from Pango

## be sure we also have Pango built with Xft2 support
#if $PKG_CONFIG --exists 'pangoxft >= 1.2.0' ; then
# if $have_freetype ; then
:
# else
# { { echo "$as_me:$LINENO: error: Xft Pango backend found but did not find freetype libraries" >&5
#echo "$as_me: error: Xft Pango backend found but did not find freetype libraries" >&2;}
# { (exit 1); exit 1; }; }
# fi
# else
# { { echo "$as_me:$LINENO: error: Pango 1.2.0 and Xft backend is required for x11 target" >&5
#echo "$as_me: error: Pango 1.2.0 and Xft backend is required for x11 target" >&2;}
# { (exit 1); exit 1; }; }
# fi

#if $PKG_CONFIG --exists xft ; then : ; else
# { { echo "$as_me:$LINENO: error: Xft version 2 is required for x11 target" >&5
#echo "$as_me: error: Xft version 2 is required for x11 target" >&2;}
# { (exit 1); exit 1; }; }
# fi


Then I copied xft.pc and fontconfig.pc from the old glib directories into the new one (/opt/gtk-2.4/lib/pkgconfig). Configure and make worked beautifully and I was able to compile gaim-0.75 with the new libraries. So far I have seen no repercussions *crosses fingers*
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
GTK+ build, undefined reference error? headrift Linux - Software 2 09-15-2005 04:00 PM
RH9 - did 2.6.x kernel build and probs with .config stardotstar Red Hat 5 09-15-2004 06:21 PM
probs compling gtk+-2.2.4 stabu Linux - Newbie 2 03-27-2004 06:20 AM
Xine build probs kanun Linux - Software 5 08-22-2003 03:56 AM
GTK themes probs deezay Linux - General 0 04-09-2002 10:04 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 07:03 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration